Skip links

CVE-2019-0277 XML External Entity vulnerability in SAP HANA extended application services, advanced, SAP security note 2764283

Description

SAP HANA extended application services, advanced does not sufficiently validate an XML document accepted from an authenticated developer with privileges to the SAP space.

Some well-known impacts of XML External Entity vulnerability are –

  • arbitrary files retrieval from the server
  • resource consumption in successful exploits

Available fix and Supported packages

  • SAP_EXTENDED_APP_SERVICES | 1 | 1
  • SAP EXTENDED APP SERVICES 1 | SP000 | 000102

Affected component

    BC-XS-RT
    OP Runtime / XS Controller

CVSS

Score: 8.7
CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:C/C:H/I:N/A:H

Exploit

Exploit is not available.
For detailed information please contact the mail [email protected]

URL

https://launchpad.support.sap.com/#/notes/2764283

TAGS

#&65279-XXE
#XML-input-parsing
#XS-advanced
#SAP-space
#&160-CVE-2019-0277